/**
 * sage_dekey.h
 * 
 * SAGE (Small Amiga Game Engine) project
 * German keyboard code mapping
 * 
 * @author Fabrice Labrador <fabrice.labrador@gmail.com>
 * @version 1.0 April 2020
 */

#ifndef _SAGE_DEKEY_H_
#define _SAGE_DEKEY_H_

#define SKEY_DE_ESC           69
#define SKEY_DE_F1            80
#define SKEY_DE_F2            81
#define SKEY_DE_F3            82
#define SKEY_DE_F4            83
#define SKEY_DE_F5            84
#define SKEY_DE_F6            85
#define SKEY_DE_F7            86
#define SKEY_DE_F8            87
#define SKEY_DE_F9            88
#define SKEY_DE_F10           89

#define SKEY_DE_TILDE         0
#define SKEY_DE_1             1
#define SKEY_DE_2             2
#define SKEY_DE_3             3
#define SKEY_DE_4             4
#define SKEY_DE_5             5
#define SKEY_DE_6             6
#define SKEY_DE_7             7
#define SKEY_DE_8             8
#define SKEY_DE_9             9
#define SKEY_DE_0             10
#define SKEY_DE_BACKSPC       65

#define SKEY_DE_TAB           66
#define SKEY_DE_Q             16
#define SKEY_DE_W             17
#define SKEY_DE_E             18
#define SKEY_DE_R             19
#define SKEY_DE_T             20
#define SKEY_DE_Y             21
#define SKEY_DE_U             22
#define SKEY_DE_I             23
#define SKEY_DE_O             24
#define SKEY_DE_P             25
#define SKEY_DE_ENTER         68

#define SKEY_DE_A             32
#define SKEY_DE_S             33
#define SKEY_DE_D             34
#define SKEY_DE_F             35
#define SKEY_DE_G             36
#define SKEY_DE_H             37
#define SKEY_DE_J             38
#define SKEY_DE_K             39
#define SKEY_DE_L             40
#define SKEY_DE_M             41

#define SKEY_DE_SHIFT         96
#define SKEY_DE_SUPINF        48
#define SKEY_DE_Z             49
#define SKEY_DE_X             50
#define SKEY_DE_C             51
#define SKEY_DE_V             52
#define SKEY_DE_B             53
#define SKEY_DE_N             54
#define SKEY_DE_RSHIFT        97

#define SKEY_DE_CTRL          99
#define SKEY_DE_ALT           100
#define SKEY_DE_SPACE         64
#define SKEY_DE_RALT          101

#define SKEY_DE_SUPPR         70
#define SKEY_DE_HELP          95

#define SKEY_DE_UP            76
#define SKEY_DE_DOWN          77
#define SKEY_DE_LEFT          79
#define SKEY_DE_RIGHT         78

#define SKEY_DE_KPD0          15
#define SKEY_DE_KPD1          29
#define SKEY_DE_KPD2          30
#define SKEY_DE_KPD3          31
#define SKEY_DE_KPD4          45
#define SKEY_DE_KPD5          46
#define SKEY_DE_KPD6          47
#define SKEY_DE_KPD7          61
#define SKEY_DE_KPD8          62
#define SKEY_DE_KPD9          63
#define SKEY_DE_KPDDOT        60
#define SKEY_DE_KPDENT        67
#define SKEY_DE_KPDPLUS       94
#define SKEY_DE_KPDMINUS      74
#define SKEY_DE_KPDMULTIPLY   93
#define SKEY_DE_KPDDIVIDE     92

#endif
