/**
 * sage_enkey.h
 * 
 * SAGE (Small Amiga Game Engine) project
 * English keyboard code mapping
 * 
 * @author Fabrice Labrador <fabrice.labrador@gmail.com>
 * @version 1.0 April 2020
 */

#ifndef _SAGE_ENKEY_H_
#define _SAGE_ENKEY_H_

#define SKEY_EN_ESC           69
#define SKEY_EN_F1            80
#define SKEY_EN_F2            81
#define SKEY_EN_F3            82
#define SKEY_EN_F4            83
#define SKEY_EN_F5            84
#define SKEY_EN_F6            85
#define SKEY_EN_F7            86
#define SKEY_EN_F8            87
#define SKEY_EN_F9            88
#define SKEY_EN_F10           89

#define SKEY_EN_TILDE         0
#define SKEY_EN_1             1
#define SKEY_EN_2             2
#define SKEY_EN_3             3
#define SKEY_EN_4             4
#define SKEY_EN_5             5
#define SKEY_EN_6             6
#define SKEY_EN_7             7
#define SKEY_EN_8             8
#define SKEY_EN_9             9
#define SKEY_EN_0             10
#define SKEY_EN_BACKSPC       65

#define SKEY_EN_TAB           66
#define SKEY_EN_Q             16
#define SKEY_EN_W             17
#define SKEY_EN_E             18
#define SKEY_EN_R             19
#define SKEY_EN_T             20
#define SKEY_EN_Y             21
#define SKEY_EN_U             22
#define SKEY_EN_I             23
#define SKEY_EN_O             24
#define SKEY_EN_P             25
#define SKEY_EN_ENTER         68

#define SKEY_EN_A             32
#define SKEY_EN_S             33
#define SKEY_EN_D             34
#define SKEY_EN_F             35
#define SKEY_EN_G             36
#define SKEY_EN_H             37
#define SKEY_EN_J             38
#define SKEY_EN_K             39
#define SKEY_EN_L             40
#define SKEY_EN_M             41

#define SKEY_EN_SHIFT         96
#define SKEY_EN_SUPINF        48
#define SKEY_EN_Z             49
#define SKEY_EN_X             50
#define SKEY_EN_C             51
#define SKEY_EN_V             52
#define SKEY_EN_B             53
#define SKEY_EN_N             54
#define SKEY_EN_RSHIFT        97

#define SKEY_EN_CTRL          99
#define SKEY_EN_ALT           100
#define SKEY_EN_SPACE         64
#define SKEY_EN_RALT          101

#define SKEY_EN_SUPPR         70
#define SKEY_EN_HELP          95

#define SKEY_EN_UP            76
#define SKEY_EN_DOWN          77
#define SKEY_EN_LEFT          79
#define SKEY_EN_RIGHT         78

#define SKEY_EN_KPD0          15
#define SKEY_EN_KPD1          29
#define SKEY_EN_KPD2          30
#define SKEY_EN_KPD3          31
#define SKEY_EN_KPD4          45
#define SKEY_EN_KPD5          46
#define SKEY_EN_KPD6          47
#define SKEY_EN_KPD7          61
#define SKEY_EN_KPD8          62
#define SKEY_EN_KPD9          63
#define SKEY_EN_KPDDOT        60
#define SKEY_EN_KPDENT        67
#define SKEY_EN_KPDPLUS       94
#define SKEY_EN_KPDMINUS      74
#define SKEY_EN_KPDMULTIPLY   93
#define SKEY_EN_KPDDIVIDE     92

#endif
