/**
 * sage_frkey.h
 * 
 * SAGE (Small Amiga Game Engine) project
 * Fench keyboard code mapping
 * 
 * @author Fabrice Labrador <fabrice.labrador@gmail.com>
 * @version 1.0 April 2020
 */

#ifndef _SAGE_FRKEY_H_
#define _SAGE_FRKEY_H_

#define SKEY_FR_ESC           69
#define SKEY_FR_F1            80
#define SKEY_FR_F2            81
#define SKEY_FR_F3            82
#define SKEY_FR_F4            83
#define SKEY_FR_F5            84
#define SKEY_FR_F6            85
#define SKEY_FR_F7            86
#define SKEY_FR_F8            87
#define SKEY_FR_F9            88
#define SKEY_FR_F10           89

#define SKEY_FR_TILDE         0
#define SKEY_FR_1             1
#define SKEY_FR_2             2
#define SKEY_FR_3             3
#define SKEY_FR_4             4
#define SKEY_FR_5             5
#define SKEY_FR_6             6
#define SKEY_FR_7             7
#define SKEY_FR_8             8
#define SKEY_FR_9             9
#define SKEY_FR_0             10
#define SKEY_FR_BACKSPC       65

#define SKEY_FR_TAB           66
#define SKEY_FR_A             16
#define SKEY_FR_Z             17
#define SKEY_FR_E             18
#define SKEY_FR_R             19
#define SKEY_FR_T             20
#define SKEY_FR_Y             21
#define SKEY_FR_U             22
#define SKEY_FR_I             23
#define SKEY_FR_O             24
#define SKEY_FR_P             25
#define SKEY_FR_ENTER         68

#define SKEY_FR_Q             32
#define SKEY_FR_S             33
#define SKEY_FR_D             34
#define SKEY_FR_F             35
#define SKEY_FR_G             36
#define SKEY_FR_H             37
#define SKEY_FR_J             38
#define SKEY_FR_K             39
#define SKEY_FR_L             40
#define SKEY_FR_M             41

#define SKEY_FR_SHIFT         96
#define SKEY_FR_SUPINF        48
#define SKEY_FR_W             49
#define SKEY_FR_X             50
#define SKEY_FR_C             51
#define SKEY_FR_V             52
#define SKEY_FR_B             53
#define SKEY_FR_N             54
#define SKEY_FR_RSHIFT        97

#define SKEY_FR_CTRL          99
#define SKEY_FR_ALT           100
#define SKEY_FR_SPACE         64
#define SKEY_FR_RALT          101
#define SKEY_FR_LAMIGA        102
#define SKEY_FR_RAMIGA        103

#define SKEY_FR_DELETE        70
#define SKEY_FR_HELP          95

#define SKEY_FR_UP            76
#define SKEY_FR_DOWN          77
#define SKEY_FR_LEFT          79
#define SKEY_FR_RIGHT         78

#define SKEY_FR_KPD0          15
#define SKEY_FR_KPD1          29
#define SKEY_FR_KPD2          30
#define SKEY_FR_KPD3          31
#define SKEY_FR_KPD4          45
#define SKEY_FR_KPD5          46
#define SKEY_FR_KPD6          47
#define SKEY_FR_KPD7          61
#define SKEY_FR_KPD8          62
#define SKEY_FR_KPD9          63
#define SKEY_FR_KPDDOT        60
#define SKEY_FR_KPDENT        67
#define SKEY_FR_KPDPLUS       94
#define SKEY_FR_KPDMINUS      74
#define SKEY_FR_KPDMULTIPLY   93
#define SKEY_FR_KPDDIVIDE     92

#endif
